declare const _default: import("react-redux").ConnectedComponent<typeof ArchiveQuestionModal, {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    context?: import("react-remove-scroll/node_modules/@types/react").Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: any;
} | {
    [x: string]: any;
    [x: number]: any;
    [x: symbol]: any;
    store?: any;
}>;
export default _default;
declare class ArchiveQuestionModal extends Component<any, any, any> {
    constructor(props: any);
    constructor(props: any, context: any);
    onArchive: () => any;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
